<?php

/*
 * @file Expose some further useful tokens
 */
/**
 * Implementation of hook_token_values()
 */
function workflow_ng_token_values($entity_type, $object = NULL) {
  $values = array();
  if ($entity_type == 'global') {
    $values['url'] = check_plain($_REQUEST['q']);
    $values['path'] = check_plain($_GET['q']);
    $arguments = explode('/', $values['path']); 
    foreach ($arguments as $key => $arg) {
      $values['path-arg-'. ($key+1)] = $arg;
    }
  }
  return $values;
}

/**
 * Implementation of hook_token_list()
 */
function workflow_ng_token_list($entity_type = 'all') {
  $tokens = array();
  $tokens['global']['url'] = t('The current active url, e.g. "admin".');
  $tokens['global']['path'] = t('The current active drupal path, e.g. "node/2". If URL aliases are used, this will be always the path behind the alias."');
  $tokens['global']['path-arg-1'] = t('The first component of the current active path, e.g. for the path "node/2" it will be "node".');
  $tokens['global']['path-arg-x'] = t('The Xst argument of the current active path.');
  return $tokens;
}